AHCI(4)

NAME
ahci - Advanced Host Controller Interface for Serial ATA

SYNOPSIS
ahci* at pci?
ahci* at jmb?

DESCRIPTION
The ahci driver provides support for Serial ATA controllers conforming to the Advanced Host Controller Interface specification.

Several AHCI capable controllers also provide a compatibility mode that causes them to appear as a traditional ATA controller supported by pciide(4).

Although ahci controllers are actual ATA controllers, the driver emulates SCSI via a translation layer.

Setting the lowest bit (0x1) of the driver flags forces ahci to negotiate SATA 1 (1.5 Gb/s) transfer speeds only. It may be useful where higher speeds are unstable.

SEE ALSO
intro(4), jmb(4), pci(4), pciide(4), scsi(4)

HISTORY
The ahci driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The ahci driver was written by David Gwynne <dlg@openbsd.org> and Christopher Pascoe <pascoe@openbsd.org>.